org.bdgenomics.adam.projections

# SliceField

###
Related Doc: package projections

#### object SliceField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SliceField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### val alphabet: SchemaVal

10. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### val attributes: SchemaVal

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### val description: SchemaVal

15. #### val end: SchemaVal

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### val index: SchemaVal

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val length: SchemaVal

24. #### final def maxId: Int

    Definition Classes
      Enumeration

25. #### val name: SchemaVal

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

28. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

32. #### val recordSchema: Schema

    The schema that this enumeration represents.

    The schema that this enumeration represents.

    Definition Classes
      FieldEnumeration

33. #### val sequence: SchemaVal

34. #### val slices: SchemaVal

35. #### val start: SchemaVal

36. #### val strand: SchemaVal

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

39. #### val totalLength: SchemaVal

40. #### def values: ValueSet

    Definition Classes
      Enumeration

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped